__gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type > Class Template Reference

## Public Member Functions

| cond_dtor (value_vector a_vec, iterator &r_last_it, Size_Type total_size)
void | set_no_action ()

## Protected Attributes

value_vector | m_a_vec
const Size_Type | m_max_size
bool | m_no_action
iterator & | m_r_last_it

## Detailed Description

### template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>
template<typename Size_Type>
class __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >

Conditional destructor.

Definition at line 182 of file ov_tree_map_.hpp.

The documentation for this class was generated from the following file:

- ov_tree_map_.hpp